Package xml :: Package dom :: Module minidom :: Class Node

[frames | no frames]

## Class Node

    GetattrMagic --+
                   |
            Node --+
                   |
                  Node

Known Subclasses:
  `Document`

Method Summary
| `__nonzero__(self)`
| `appendChild(self, node)`
| `cloneNode(self, deep)`
| `getInterface(self, feature)`
| `getUserData(self, key)`
| `hasChildNodes(self)`
| `insertBefore(self, newChild, refChild)`
| `isSameNode(self, other)`
| `isSupported(self, feature, version)`
| `normalize(self)`
| `removeChild(self, oldChild)`
| `replaceChild(self, newChild, oldChild)`
| `setUserData(self, key, data, handler)`
| `toprettyxml(self, indent, newl, encoding)`
| `toxml(self, encoding)`
| `unlink(self)`

Property Summary
| `firstChild`: First child node, or None.
| `lastChild`: Last child node, or None.
| `localName`: Namespace-local name of this node.

Class Variable Summary
`NoneType` | `namespaceURI` = None
`NoneType` | `nextSibling` = None
`NoneType` | `ownerDocument` = None
`NoneType` | `parentNode` = None
`NoneType` | `prefix` = None
`NoneType` | `previousSibling` = None

Property Details

### firstChild

First child node, or None.

### lastChild

Last child node, or None.

### localName

Namespace-local name of this node.

Class Variable Details

### namespaceURI

  Type:
    `NoneType`
  Value:

        None

### nextSibling

  Type:
    `NoneType`
  Value:

        None

### ownerDocument

  Type:
    `NoneType`
  Value:

        None

### parentNode

  Type:
    `NoneType`
  Value:

        None

### prefix

  Type:
    `NoneType`
  Value:

        None

### previousSibling

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:50 2007 | http://epydoc.sf.net